# job.cpp File Reference

`#include <boost/assign/list_inserter.hpp>`
`#include <boost/assign/std/vector.hpp>`
`#include <saga/saga/job.hpp>`
`#include <saga/saga/adaptors/metric.hpp>`
`#include <saga/impl/job.hpp>`
`#include <saga/saga/detail/call.hpp>`
`#include <saga/saga/detail/attribute_impl.hpp>`
`#include <saga/saga/detail/permissions_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::job
namespace | saga::job::metrics
namespace | saga::job::detail
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_ATTRIBUTE
#define | SAGA_EXPORT_ATTRIBUTE SAGA_JOB_PACKAGE_EXPORT
#define | SAGA_NO_IMPORT_PERMISSIONS
#define | SAGA_EXPORT_PERMISSIONS SAGA_JOB_PACKAGE_EXPORT
## Functions
std::string | saga::job::detail::get_state_name (state s)

## Define Documentation

#define SAGA_NO_IMPORT_ATTRIBUTE

#define SAGA_EXPORT_ATTRIBUTE SAGA_JOB_PACKAGE_EXPORT

#define SAGA_NO_IMPORT_PERMISSIONS

#define SAGA_EXPORT_PERMISSIONS SAGA_JOB_PACKAGE_EXPORT